%define libnamedev %mklibname -d chipcard
%define clientmajor 6
%define clientlibname %mklibname chipcard %clientmajor

Summary: A library for easy access to smart cards (chipcards)
Name: libchipcard
Version: 5.0.4
Release: %mkrel 1
# From http://www2.aquamaniac.de/sites/download/packages.php#02 :
Source: %{name}-%{version}.tar.gz
Group: System/Libraries
License: LGPLv2
URL: http://www.aquamaniac.de/sites/libchipcard/index.php
BuildRequires: libgwenhywfar-devel >= 4.0.0
BuildRequires: libpcsclite-devel
Requires(post): rpm-helper
Requires(preun): rpm-helper
Conflicts: libchipcard2

%description
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "Geldkarten" and HBCI (homebanking) cards (both type 0 and 
type 1).

It accesses the readers via CTAPI or PC/SC interfaces and has successfully
been tested with Towitoko, Kobil and Reiner-SCT readers.

This package contains the chipcard3-daemon needed to access card readers.

%package -n %libnamedev
Summary: LibChipCard server development kit
Group: Development/C
Requires: %clientlibname = %version
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d chipcard 3 0
Obsoletes: %mklibname -d chipcard 3

%description  -n %libnamedev
This package contains chipcard3-server-config and header files for writing 
drivers, services or even your own chipcard daemon for LibChipCard.

%package -n %clientlibname
Group: System/Libraries
Summary: A library for easy access to smart cards (chipcards)
Requires: %name >= %version

%description -n %clientlibname
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "Geldkarten" and HBCI (homebanking) cards (both type 0 and 
type 1).

It accesses the readers via CTAPI or PC/SC interfaces and has successfully
been tested with Towitoko, Kobil and Reiner-SCT readers.

This package contains the chipcard3-daemon needed to access card readers.


%prep
%setup -q -n %name-%{version}

%build
%configure2_5x --disable-static --with-pcsc-libs=%{_libdir}
%make

%install
%makeinstall_std

find %buildroot%_libdir -name *.la|xargs rm 

%post
%_post_service chipcardd
%preun
%_preun_service chipcardd

%files -n %clientlibname
%{_libdir}/libchipcard.so.%{clientmajor}{,.*}

%files -n %libnamedev
%doc README COPYING ChangeLog
%{_libdir}/*.so
%{_bindir}/chipcard-config
%{_includedir}/*
%{_datadir}/aclocal/chipcard.m4

%files
%doc README COPYING ChangeLog
%{_sysconfdir}/chipcard
%{_bindir}/*
%{_datadir}/chipcard
%{_libdir}/gwenhywfar/plugins/*/ct


%changelog
* Tue May 10 2016 tv <tv> 5.0.4-1.mga6
+ Revision: 1012011
- new release
- fix source URL

* Thu Feb 04 2016 umeabot <umeabot> 5.0.3-4.mga6
+ Revision: 934402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.3-3.mga5
+ Revision: 742160
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.3-2.mga5
+ Revision: 681381
- Mageia 5 Mass Rebuild

* Wed Feb 12 2014 fwang <fwang> 5.0.3-1.mga5
+ Revision: 589632
- 5.0.3 beta

* Fri Oct 18 2013 umeabot <umeabot> 5.0.2-3.mga4
+ Revision: 506955
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.0.2-2.mga3
+ Revision: 356921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 28 2011 fwang <fwang> 5.0.2-1.mga2
+ Revision: 115088
- new version 5.0.2

* Thu Feb 10 2011 spuhler <spuhler> 5.0.0-2.mga1
+ Revision: 49684
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libchipcard

